%define module 	XML-Writer
%define version 0.4
%define release 5mdk

Summary:	Module for writing XML documents.
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
BuildRequires:	perl
BuildRequires:	perl-XML-Parser
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
BuildArch:	noarch

%description
XML::Writer is a simple Perl module for writing XML documents: it
takes care of constructing markup and escaping data correctly, and by
default, it also performs a significant amount of well-formedness
checking on the output, to make certain (for example) that start and
end tags match, that there is exactly one document element, and that
there are not duplicate attribute names.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix} 
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} PREFIX=$RPM_BUILD_ROOT%{_prefix} install


%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README MANIFEST Changes
%{perl_vendorlib}/XML/Writer*
%{_mandir}/*/*

%changelog
* Wed Jan 29 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4-5mdk
- enhanced summary & description

* Wed Aug 21 2002 Pixel <pixel@mandrakesoft.com> 0.4-4mdk
- remove the file list
- rebuild for perl 5.8.0 thread-multi

* Thu Aug 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4-3mdk
- rebuild

* Tue Feb 20 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 0.4-2mdk
- little changes in licence

* Tue Feb 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4-1mdk
- added in contribs by Christian Zoffoli <czoffoli@linux-mandrake.com> :
	- First Mandrake Release


